Kinda new to PSP scene n got some questions

Discussion in 'PSP - Games & Content' started by DarkCrudus, Dec 4, 2010.

  1. DarkCrudus
    OP

    DarkCrudus The Ghost

    Member
    1,028
    44
    Apr 15, 2007
    United States
    Minnesota
    So I have a PSP 1000 with CFW 5.00 m33 on it, got a couple questions

    1 - I have a legit copy of Kingdom Hearts: Birth by Sleep, will I be able to run it without updating? If not is there a way I can run it w/out losing my CFW.

    2 - Am I able to update my CFW with out any special battery like pandora battery or any modification to the battery, since i am already on a CFW
     
  2. Jamstruth

    Jamstruth Secondary Feline Anthropomorph

    Member
    3,456
    185
    Apr 23, 2009
    North East Scotland
    No need for a Pandora since you are already on custom firmware.

    To run BBS you could try the KHBBS plugin or upgrading to 5.00 Prometheus
     
  3. DarkCrudus
    OP

    DarkCrudus The Ghost

    Member
    1,028
    44
    Apr 15, 2007
    United States
    Minnesota
    What about GEN Team Custom Firmware 5.50D3 Final would that be good to update too?
     
  4. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
  5. DarkCrudus
    OP

    DarkCrudus The Ghost

    Member
    1,028
    44
    Apr 15, 2007
    United States
    Minnesota
    i saw the stickys, point to where it mentions my question bout KH?

    and it doesnt answer my question bout if i needed a special kind of battery to update my CFW.
     
  6. Jamstruth

    Jamstruth Secondary Feline Anthropomorph

    Member
    3,456
    185
    Apr 23, 2009
    North East Scotland
    5.50 GEN-D3 will run all pre-6.20 games unpatched and from UMD so its a good idea to update to it. If you want to run unpatched 6.20+ ISO/UMDs then you will need either the KHBBS patch or 5.50 Prometheus-3
     
  7. prowler

    prowler Sony

    Member
    9,473
    2,816
    Jul 14, 2009
    Ragol
    If you read the guide it doesn't say anything about a pandora battery because you don't need it to soft mod your PSP.
     
  8. DarkCrudus
    OP

    DarkCrudus The Ghost

    Member
    1,028
    44
    Apr 15, 2007
    United States
    Minnesota
    Sounds good, thanks for the help
     
  9. easycrashing

    easycrashing GBAtemp Regular

    Member
    149
    12
    Nov 30, 2010
    United States
    I'm able to play anything on 5.00 m33-6 Prometheus, no need to switch to gen if you don't want to.

    It also corrupts your saves.